
package de.ivu.elect.presentation.wahlvorschlag.action;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus;
import de.ivu.elect.presentation.wahl.CurrentWahlZulassungspruefungExtended;

import javax.inject.Named;

@Named(ListeZulassungZuruecksetzenAction.COMPONENT_NAME)
public class ListeZulassungZuruecksetzenAction extends AbstractListeZulassungAction {

  private static final long serialVersionUID = 1L;

  public ListeZulassungZuruecksetzenAction() {
    super();
  }
  public static final String COMPONENT_NAME = "listeZulassungZuruecksetzenAction";

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLVORSCHLAG_QS_ZULASSUNG_ZURUECKSETZEN;
  }

  @Override
  public boolean isDisabledInternal(Liste liste, CurrentWahlZulassungspruefungExtended currentWahlZulassungspruefung) {
    return !currentWahlZulassungspruefung.isZulassungZuruecksetzenZulaessig(liste);
  }

  @Override
  protected WahlvorschlagStatus getWahlvorschlagStatus() {
    return WahlvorschlagStatus.OFFEN;
  }

  @Override
  public String getLabelKey() {
    return "liste.search.action.status.ungeprueft.setzen";
  }
}
